## Hookshot Props Table
| Prop Name | Type | Is Required | Default Value | Description |
|-|-|-|-|-|
| attachmentBehavior| `string`| optional| `'auto'`| How the content should be positioned when the primary attachment is not available. Valid values:  'auto': returns 180 degrees, returns rotate 90 degree, returns rotate -90 degrees, returns primary attachment  'flip': returns 180 degrees, returns primary attachment  'none': returns primary attachment|
| attachmentMargin| `number`| optional| `0`| Value in px of the margin to place between the target and the content.|
| boundingRef| `func`| optional| | Reference to the bounding container, will use window if nothing is provided.|
| children| `element`| `required`| | The HookshotContent to be attached.|
| contentAttachment| `an object structured like: {
 "horizontal": {
  "name": "enum",
  "value": [
   {
    "value": "'start'",
    "computed": false
   },
   {
    "value": "'center'",
    "computed": false
   },
   {
    "value": "'end'",
    "computed": false
   }
  ],
  "required": false
 },
 "vertical": {
  "name": "enum",
  "value": [
   {
    "value": "'top'",
    "computed": false
   },
   {
    "value": "'middle'",
    "computed": false
   },
   {
    "value": "'bottom'",
    "computed": false
   }
  ],
  "required": false
 }
}`| `required`| | Object containing the vertical and horizontal attachment values for the content. Valid values: { horizontal: ['start', 'center', 'end'], vertical: ['top', 'middle', 'bottom'] }.|
| contentOffset| `an object structured like: {
 "horizontal": {
  "name": "number",
  "required": false
 },
 "vertical": {
  "name": "number",
  "required": false
 }
}`| optional| `{ horizontal: 0, vertical: 0 }`| Object containing the vertical and horizontal offset values in px for the content.|
| isEnabled| `bool`| optional| `false`| Determines whether the content should be actively positioned via hookshot.|
| isOpen| `bool`| optional| `false`| Should the content be presented.|
| onPosition| `func`| optional| | Callback function when the content has been positioned.|
| targetAttachment| `an object structured like: {
 "horizontal": {
  "name": "enum",
  "value": [
   {
    "value": "'start'",
    "computed": false
   },
   {
    "value": "'center'",
    "computed": false
   },
   {
    "value": "'end'",
    "computed": false
   }
  ],
  "required": false
 },
 "vertical": {
  "name": "enum",
  "value": [
   {
    "value": "'top'",
    "computed": false
   },
   {
    "value": "'middle'",
    "computed": false
   },
   {
    "value": "'bottom'",
    "computed": false
   }
  ],
  "required": false
 }
}`| optional| | Object containing the vertical and horizontal attachment values for the target. Valid values: { horizontal: ['start', 'center', 'end'], vertical: ['top', 'middle', 'bottom'] }.|
| targetOffset| `an object structured like: {
 "horizontal": {
  "name": "number",
  "required": false
 },
 "vertical": {
  "name": "number",
  "required": false
 }
}`| optional| `{ horizontal: 0, vertical: 0 }`| Object containing the vertical and horizontal offset values in px for the target.|
| targetRef| `func`| `required`| | Required element that the content will hookshot to.|